# -*- coding: utf-8 -*-
# Generated by Django 1.10.2 on 2016-10-31 03:25
from __future__ import unicode_literals

from django.db import migrations, models


class Migration(migrations.Migration):

    dependencies = [
        ('commonmodels', '0003_uplcoupon_uplcustomer_uplfood_uplitem_uplrestaurant_upltopic'),
    ]

    operations = [
        migrations.CreateModel(
            name='Operations',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('user_id', models.IntegerField()),
                ('type_id', models.IntegerField()),
                ('last_name', models.CharField(max_length=30)),
                ('first_name', models.CharField(max_length=30)),
                ('image_path', models.CharField(blank=True, max_length=500, null=True)),
                ('birthday', models.DateTimeField(blank=True, null=True)),
                ('sex', models.IntegerField()),
                ('zip_code', models.CharField(blank=True, max_length=10, null=True)),
                ('address', models.CharField(blank=True, max_length=500, null=True)),
                ('email', models.CharField(max_length=50)),
                ('login_password', models.CharField(max_length=50)),
                ('phone', models.CharField(max_length=20)),
                ('create_date', models.DateTimeField(auto_now_add=True)),
                ('update_date', models.DateTimeField(auto_now=True)),
                ('update_by', models.CharField(blank=True, max_length=50, null=True)),
                ('is_delete', models.IntegerField(default=0)),
            ],
            options={
                'verbose_name_plural': '8 - Operations',
                'managed': False,
                'db_table': 'operations',
            },
        ),
        migrations.CreateModel(
            name='OperationsRestaurants',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('description', models.CharField(blank=True, max_length=500, null=True)),
                ('create_date', models.DateTimeField(auto_now_add=True)),
                ('update_date', models.DateTimeField(auto_now=True)),
                ('update_by', models.CharField(blank=True, max_length=50, null=True)),
                ('is_delete', models.IntegerField(default=0)),
            ],
            options={
                'managed': False,
                'db_table': 'operations_restaurants',
            },
        ),
        migrations.CreateModel(
            name='Settings',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('code', models.CharField(max_length=20)),
                ('value', models.TextField()),
                ('description', models.TextField(blank=True, null=True)),
                ('create_date', models.DateTimeField(auto_now_add=True)),
                ('update_date', models.DateTimeField(auto_now=True)),
                ('update_by', models.CharField(blank=True, max_length=50, null=True)),
                ('is_delete', models.IntegerField(default=0)),
            ],
            options={
                'managed': False,
                'db_table': 'settings',
            },
        ),
    ]
